Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common
Class DataAttributes

    java.lang.Object
      com.fujitsu.iflow.common.DataAttributes

public class DataAttributes
extends java.lang.Object

Constructor Summary
`DataAttributes()`

Method Summary
`static boolean` | `hasVisionData(long attribs)`
`static boolean` | `isDimension(long attribs)`
`static boolean` | `isMeasure(long attribs)`
`static boolean` | `isReadOnly(long attribs)`
`static boolean` | `isUdaTrackable(long attribs)`
`static boolean` | `isWorkListUDA(long attribs)`
`static void` | `main(java.lang.String[] args)`
`static long` | `resetReadOnly(long attribs)`
`static long` | `resetUdaTracking(long attribs)`
`static long` | `resetVisionAttributes(long attribs)`
`static long` | `resetWorkListUDA(long attribs)`
`static long` | `setDimensionAttribute(long attribs, boolean worklist, boolean readOnly, boolean udaTracking)`
`static long` | `setMeasureAttribute(long attribs, boolean worklist, boolean readOnly, boolean udaTracking)`
`static long` | `setReadOnly(long attribs)`
`static long` | `setUdaTracking(long attribs)`
`static long` | `setWorkListUDA(long attribs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataAttributes

    public DataAttributes()

Method Detail

### hasVisionData

    public static final boolean hasVisionData(long attribs)

### resetVisionAttributes

    public static final long resetVisionAttributes(long attribs)

### setWorkListUDA

    public static final long setWorkListUDA(long attribs)

### resetWorkListUDA

    public static final long resetWorkListUDA(long attribs)

### setReadOnly

    public static final long setReadOnly(long attribs)

### resetReadOnly

    public static final long resetReadOnly(long attribs)

### setUdaTracking

    public static final long setUdaTracking(long attribs)

### resetUdaTracking

    public static final long resetUdaTracking(long attribs)

### setDimensionAttribute

    public static final long setDimensionAttribute(long attribs,
                                                   boolean worklist,
                                                   boolean readOnly,
                                                   boolean udaTracking)

### setMeasureAttribute

    public static final long setMeasureAttribute(long attribs,
                                                 boolean worklist,
                                                 boolean readOnly,
                                                 boolean udaTracking)

### isMeasure

    public static final boolean isMeasure(long attribs)

### isDimension

    public static final boolean isDimension(long attribs)

### isWorkListUDA

    public static final boolean isWorkListUDA(long attribs)

### isReadOnly

    public static final boolean isReadOnly(long attribs)

### isUdaTrackable

    public static final boolean isUdaTrackable(long attribs)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD